#include <iostream>

#include "HandEye.h"

int main(int argc, char **argv) {
    // RVCHandEye
    // Marker
    RVCHandEye::MarkerBoardResult markerRes;
    // 使用SolveMarkerBoardResults的重载函数，通过路径名载入图片数据
    auto ret = RVCHandEye::SolveMarkerBoardResults("C:/Users/rvbust/Desktop/1.jpg", "C:/Users/rvbust/Desktop/1.ply", markerRes);
    if (ret != RVCHandEye::Err_OK) {
        return -1;
    }
    // Robot
    std::vector<std::vector<double>> robotParams;
    std::vector<RVCHandEye::MarkerBoardResult> markerParams;
    robotParams.push_back({50.1, 41.12, 30.2, 0.15, 0.11, 0.55});
    markerParams.push_back(markerRes);
    RVCHandEye::AlgoParam algoParam;
    RVCHandEye::FinalResult finalRes;

    ret = RVCHandEye::KukaSolveFinalResult(markerParams, robotParams, algoParam, finalRes);
    if (ret != RVCHandEye::Err_OK) {
        return -1;
    }

    return 0;
}